/*
 *
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 *
 *  All rights reserved.
 */


#ifndef __IMTA_HEADER_H
#define __IMTA_HEADER_H

#ifdef __cplusplus
extern "C" {
#endif






#define HL_FIRST_HEADER                 0
#define HL_A1_FORMAT                    0
#define HL_A1_FORWARD                   1
#define HL_A1_FUNCTION                  2
#define HL_A1_TYPE                      3
#define HL_ADDRESSES_REFERRED_TO        4
#define HL_ALTERNATE_RECIPIENT          5
#define HL_APPLICATION_NAME             6
#define HL_ATTACHMENT_DATE              7
#define HL_ATTACHMENT_ENCODING          8
#define HL_ATTACHMENT_IMPORT            9
#define HL_ATTACHMENT_NAME              10
#define HL_ATTACHMENT_TYPE              11
#define HL_ATTACHMENT                   12
#define HL_AUTHORS                      13
#define HL_AUTOFORWARDED                14
#define HL_BCC                          15
#define HL_BILATERAL_INFO               16
#define HL_CC                           17
#define HL_CERTIFICATE                  18
#define HL_COMMENTS                     19
#define HL_CONTENT_CHARSET              20
#define HL_CONTENT_COMPRESSION          21
#define HL_CONTENT_CORRELATOR           22
#define HL_CONTENT_DESCRIPTION          23
#define HL_CONTENT_ID                   24
#define HL_CONTENT_IDENTIFIER           25
#define HL_CONTENT_RETURN               26
#define HL_CONTENT_TRANSFER_ENCODING    27
#define HL_CONTENT_TYPE                 28
#define HL_CONVERSATION_ID              29
#define HL_CONVERSION_WITH_LOSS         30
#define HL_CONVERSION                   31
#define HL_COPIES_TO                    32
#define HL_DATA_ENCODING                33
#define HL_DATE_DELIVERED               34
#define HL_DATE_POSTED                  35
#define HL_DATE_RECEIVED                36
#define HL_DATE_TRANSFERRED             37
#define HL_DATE_WARNING                 38
#define HL_DATE                         39
#define HL_DEFERRED_DELIVERY            40
#define HL_DEK_INFO                     41
#define HL_DELIVERED_TO                 42
#define HL_DELIVERY_DATE                43
#define HL_DELIVERY_RECEIPT_TO          44
#define HL_DEL_REP_CONT_BILLING_INFO    45
#define HL_DEL_REP_CONT_INTER_TRACE     46
#define HL_DEL_REP_CONT_ORIGINAL        47
#define HL_DEL_REP_CONT_REP_RECIP_INFO  48
#define HL_DEL_REP_CONT_UA_CONTENT_ID   49
#define HL_DESTINATION_APPLICATION      50
#define HL_DISC_X400_IPMS_EXTENSIONS    51
#define HL_DISC_X400_MTS_EXTENSIONS     52
#define HL_DISCLOSE_RECIPIENTS          53
#define HL_DL_EXPANDED                  54
#define HL_DL_EXPANSION_HISTORY         55
#define HL_ENCODING                     56
#define HL_ERROR_REPORT                 57
#define HL_ERRORS_TO                    58
#define HL_EXPIRATION_DATE              59
#define HL_EXPIRY_DATE                  60
#define HL_EXPORTED_TO                  61
#define HL_FORM_TYPE                    62
#define HL_FROM                         63
#define HL_FRUIT_OF_THE_DAY_WARNING     64
#define HL_FRUIT_OF_THE_DAY             65
#define HL_GENERATE_DELIVERY_REPORT     66
#define HL_HEADER_ENCODING              67
#define HL_HOP_COUNT                    68
#define HL_IMPORTANCE                   69
#define HL_IN_REPLY_TO                  70
#define HL_INCOMPLETE_COPY              71
#define HL_INFORMATION_TYPE             72
#define HL_ISSUER_CERTIFICATE           73
#define HL_KEY_INFO                     74
#define HL_KEYWORDS                     75
#define HL_LANGUAGE                     76
#define HL_LATEST_DELIVERY_TIME         77
#define HL_MAC_FCREATOR                 78
#define HL_MAC_FTYPE                    79
#define HL_MCB_OPTIONS                  80
#define HL_MCB_TYPE                     81
#define HL_MESSAGE_DISCARD              82
#define HL_MESSAGE_ENCODING             83
#define HL_MESSAGE_ID                   84
#define HL_MESSAGE_SEQUENCE             85
#define HL_MESSAGE_TYPE                 86
#define HL_MHS_ID                       87
#define HL_MIC_INFO                     88
#define HL_MIME_VERSION                 89
#define HL_MR_RECEIVED                  90
#define HL_NET_ATTACHMENT               91
#define HL_NOTIFICATION_CORRELATOR      92
#define HL_OBSOLETES                    93
#define HL_ORGANIZATION                 94
#define HL_ORIGINAL_ENCODED_INFO_TYPES  95
#define HL_ORIGINAL_RECIPIENTS          96
#define HL_ORIGINATOR_AND_DL_EXP_HIST   97
#define HL_ORIGINATOR_CERTIFICATE       98
#define HL_ORIGINATOR_ID_ASYMMETRIC     99
#define HL_ORIGINATOR_ID_SYMMETRIC      100
#define HL_ORIGINATOR_RETURN_ADDRESS    101
#define HL_ORIGINATOR                   102
#define HL_P1_CONTENT_TYPE              103
#define HL_P1_MESSAGE_ID                104
#define HL_P1_RECIPIENT                 105
#define HL_POSTING_DATE                 106
#define HL_POSTING_STATUS               107
#define HL_PREVENT_NONDELIVERY_REPORT   108
#define HL_PRIORITY                     109
#define HL_PROC_TYPE                    110
#define HL_RE_SENT_BY                   111
#define HL_READ_RECEIPT_TO              112
#define HL_RECEIVED_BY                  113
#define HL_RECEIVED                     114
#define HL_RECIPIENT_ID_ASYMMETRIC      115
#define HL_RECIPIENT_ID_SYMMETRIC       116
#define HL_RECIPIENT_ID                 117
#define HL_RECIPIENT_INFO               118
#define HL_REDIRECTION_HISTORY          119
#define HL_REFERENCES                   120
#define HL_REFUSED_BY                   121
#define HL_REGISTERED_MAIL_REP_REQ_BY   122
#define HL_REJECTED_FOR                 123
#define HL_REPLY_BY                     124
#define HL_REPLY_COPIES_TO              125
#define HL_REPLY_TO                     126
#define HL_REPORTING_DL_NAME            127
#define HL_REQUESTED_DELIVERY_METHOD    128
#define HL_RESENT_BCC                   129
#define HL_RESENT_CC                    130
#define HL_RESENT_DATE                  131
#define HL_RESENT_FROM                  132
#define HL_RESENT_MESSAGE_ID            133
#define HL_RESENT_REPLY_TO              134
#define HL_RESENT_SENDER                135
#define HL_RESENT_TO                    136
#define HL_RESPOND_BY                   137
#define HL_RET_MESSAGE                  138
#define HL_RETURN_PATH                  139
#define HL_RETURN_RECEIPT_REQUESTED     140
#define HL_RETURN_RECEIPT_TO            141
#define HL_SEND_TO                      142
#define HL_SENDER_ID                    143
#define HL_SENDER                       144
#define HL_SENSITIVITY                  145
#define HL_SESSION_ID                   146
#define HL_SIGNATURE                    147
#define HL_SMF_VERSION                  148
#define HL_STRUCTURE                    149
#define HL_SUBJECT_SUBMISSION_ID        150
#define HL_SUBJECT                      151
#define HL_SUMMARY                      152
#define HL_TO                           153
#define HL_TOTAL_COPIES_TO              154
#define HL_TOTAL_TO                     155
#define HL_UA_CONTENT_ID                156
#define HL_VIA_HOST                     157
#define HL_VMS_FDL                      158
#define HL_WARNINGS_TO                  159
#define HL_X_CERTIFICATE                160
#define HL_X_DEK_INFO                   161
#define HL_X_ENVELOPE_TO                162
#define HL_X_FAX_DEFAULTS               163
#define HL_X_HOP_COUNT                  164
#define HL_X_ISSUER_CERTIFICATE         165
#define HL_X_KEY_INFO                   166
#define HL_X_MAILER                     167
#define HL_X_MIC_INFO                   168
#define HL_X_MS_ATTACHMENT              169
#define HL_X_ORGANIZATION               170
#define HL_X_PROC_TYPE                  171
#define HL_X_PS_QUALIFIERS              172
#define HL_X_RECIPIENT_ID               173
#define HL_X_SENDER_ID                  174
#define HL_X_VMS_CC                     175
#define HL_X_VMS_TO                     176
#define HL_X400_CONTENT_TYPE            177
#define HL_X400_MTS_IDENTIFIER          178
#define HL_X400_ORIGINATOR              179
#define HL_X400_RECEIVED                180
#define HL_X400_RECIPIENTS              181
#define HL_X400_TRACE                   182
#define HL_OTHER                        183
#define HL_CONTENT_PRIVACY              184
#define HL_CONTENT_ANNOTATION           185
#define HL_CONTENT_MD5                  186
#define HL_CONTENT_ENCODING             187
#define HL_CONTENT_LABEL                188
#define HL_CONTENT_LENGTH               189
#define HL_CONTENT_LINES                190
#define HL_DATA_DESCRIPTION             191
#define HL_DATA_NAME                    192
#define HL_DATA_TYPE                    193
#define HL_ENCODING_INFO                194
#define HL_TEXT_TYPE                    195
#define HL_X_SUN_CONTENT_ENCODING       196
#define HL_X_SUN_CONTENT_LABEL          197
#define HL_X_SUN_CONTENT_LENGTH         198
#define HL_X_SUN_CONTENT_LINES          199
#define HL_X_SUN_DATA_DESCRIPTION       200
#define HL_X_SUN_DATA_NAME              201
#define HL_X_SUN_DATA_TYPE              202
#define HL_X_SUN_ENCODING_INFO          203
#define HL_X_SUN_TEXT_TYPE              204
#define HL_X_INCOGNITO_FORMAT           205
#define HL_X_INCOGNITO_SN               206
#define HL_NEXT_ATTACHMENT              207
#define HL_FCC                          208
#define HL_PATH                         209
#define HL_NEWSGROUPS                   210
#define HL_LINES                        211
#define HL_FOLLOWUP_TO                  212
#define HL_NEWS_SOFTWARE                213
#define HL_DISTRIBUTION                 214
#define HL_NNTP_POSTING_HOST            215
#define HL_APPARENTLY_TO                216
#define HL_EXPIRES                      217
#define HL_ENCRYPTED                    218
#define HL_X_SENDER                     219
#define HL_REPOSITORY                   220
#define HL_ORIGINATING_CLIENT           221
#define HL_X_ORIG_SENDER                222
#define HL_XOTHER                       223
#define HL_X_FINFO                      224
#define HL_X_PMRQC                      225
#define HL_X_PMUUE                      226
#define HL_SERVICE_MESSAGE              227
#define HL_RECIPIENT_REASSIGNMENT       228
#define HL_DL_EXPANSION                 229
#define HL_ACTION                       230
#define HL_FINAL_LOG_ID                 231
#define HL_FINAL_MTA                    232
#define HL_FINAL_MTS_TYPE               233
#define HL_FINAL_RECIPIENT              234
#define HL_FINAL_STATUS                 235
#define HL_ORIGINAL_ENVELOPE_ID         236
#define HL_ORIGINAL_MTS_TYPE            237
#define HL_ORIGINAL_RECIPIENT           238
#define HL_RECEIVED_FROM                239
#define HL_RECIPIENT                    240
#define HL_REMOTE_MTA                   241
#define HL_REMOTE_MTS_TYPE              242
#define HL_REMOTE_RECIPIENT             243
#define HL_REMOTE_STATUS                244
#define HL_STATUS                       245
#define HL_BEAK                         246
#define HL_CONTENT_ACCESS_CONTROL       247
#define HL_CONTENT_CREATOR              248
#define HL_CONTENT_FUTURE_OBJECT_SIZE   249
#define HL_CONTENT_LAST_MOD_DATE        250
#define HL_CONTENT_LAST_READ_DATE       251
#define HL_CONTENT_MACHINE              252
#define HL_CONTENT_OPERATING_SYSTEM     253
#define HL_CONTENT_PERMITTED_ACTIONS    254
#define HL_CONTENT_STORAGE_ACCOUNT      255
#define HL_FULL_NAME                    256
#define HL_MAIL_SYSTEM_VERSION          257
#define HL_PHONE                        258
#define HL_PRECEDENCE                   259
#define HL_SUPERSEDES                   260
#define HL_VERSION                      261
#define HL_X_ADDRESS                    262
#define HL_X_ATTACHMENTS                263
#define HL_X_AUTHENTICATION_WARNING     264
#define HL_X_COMMENT                    265
#define HL_X_CONTENT_DESCRIPTION        266
#define HL_X_CONTENT_DISPOSITION        267
#define HL_X_CONTENT_ID                 268
#define HL_X_CONTENT_TRANSFER_ENCODING  269
#define HL_X_CONTENT_TYPE               270
#define HL_X_FAX                        271
#define HL_X_GATEWAY_SOURCE_INFO        272
#define HL_X_GENIE_FROM                 273
#define HL_X_GENIE_ID                   274
#define HL_X_HPDESK_PRIORITY            275
#define HL_X_LIST                       276
#define HL_X_LISTNAME                   277
#define HL_X_LISTPROCESSOR_VERSION      278
#define HL_X_MACHINE                    279
#define HL_X_MSMAIL_CONVERSATION_ID     280
#define HL_X_MSMAIL_MESSAGE_ID          281
#define HL_X_MTS                        282
#define HL_X_NEWSGROUPS                 283
#define HL_X_NEWSREADER                 284
#define HL_X_NEWS_SOFTWARE              285
#define HL_X_NVL_CONTENT_CHARSET        286
#define HL_X_NVL_CONTENT_FILENAME       287
#define HL_X_NVL_CONTENT_MOD_DATE       288
#define HL_X_NVL_CONTENT_XFER_ENCODING  289
#define HL_X_NVL_CONTENT_TYPE           290
#define HL_X_OPEN_MAIL_HOPS             291
#define HL_X_ORGANISATION               292
#define HL_X_PHONE                      293
#define HL_X_REPORT_TYPE                294
#define HL_X_RESENT_DATE                295
#define HL_X_RESENT_FROM                296
#define HL_X_RESENT_MESSAGE_ID          297
#define HL_X_RESENT_TO                  298
#define HL_X_STATUS                     299
#define HL_X_SUN_CHARSET                300
#define HL_X_TRUTH                      301
#define HL_X_VMS_FROM                   302
#define HL_XREF                         303
#define HL_CONTENT_LAST_MODIFIER        304
#define HL_CONTENT_LEGAL_QUALIFICATION  305
#define HL_CONTENT_RELATED_STORED_FILE  306
#define HL_CONTENT_PATHNAME             307
#define HL_CONTENT_OBJECT_SIZE          308
#define HL_CONTENT_CREATION_DATE        309
#define HL_CONTENT_DISPOSITION          310
#define HL_CONTENT_LAST_READER          311
#define HL_ARRIVAL_DATE                 312
#define HL_CONTENT_LANGUAGE             313
#define HL_DIAGNOSTIC_CODE              314
#define HL_LAST_ATTEMPT_DATE            315
#define HL_RECEIVED_FROM_MTA            316
#define HL_REPORTING_MTA                317
#define HL_AUTOSUBMITTED                318
#define HL_BTW                          319
#define HL_CONTENT_SERVICE              320
#define HL_FAKE_SENDER                  321
#define HL_MMDF_WARNING                 322
#define HL_ORIGINAL_ENCODING_TYPES      323
#define HL_P2_ORIGINATOR                324
#define HL_PP_WARNING                   325
#define HL_RESENT_WIDE_REPLY_TO         326
#define HL_TRANSPORT_OPTIONS            327
#define HL_WIDE_REPLY_TO                328
#define HL_X_BTW                        329
#define HL_X_CC                         330
#define HL_X_CHARSET                    331
#define HL_X_MIME_VERSION               332
#define HL_X_ORG_ADDR                   333
#define HL_X_ORG_MISC                   334
#define HL_X_PGP_SIGNED                 335
#define HL_X_PGP_VERSION                336
#define HL_X_RECEIVED                   337
#define HL_X_REPLY_TO                   338
#define HL_X_RESENT_BCC                 339
#define HL_X_RESENT_CC                  340
#define HL_X_TO                         341
#define HL_X_URL                        342
#define HL_CONTENTOTHER                 343
#define HL_APP_MESSAGE_ID               344
#define HL_DISPOSITION_NOTIFICATION_TO  345
#define HL_DISPOSITION                  346
#define HL_DSN_GATEWAY                  347
#define HL_MDN_GATEWAY                  348
#define HL_ORIGINAL_MESSAGE_ID          349
#define HL_REPORTING_UA                 350
#define HL_WANTED_X400_CONVERSION       351
#define HL_WILL_RETRY_UNTIL             352
#define HL_X_BCC                        353
#define HL_X_BUCKSLIP                   354
#define HL_X_CONFIRM_READING_TO         355
#define HL_X_LISTSERVER                 356
#define HL_X_LISTSERVERS                357
#define HL_X_MSXMTID                    358
#define HL_X_NS_TRANSFER_ID             359
#define HL_X_ORCL_APPLICATION           360
#define HL_X_PIPEGCOS                   361
#define HL_X_PIPEHUB                    362
#define HL_X_PIPEUSER                   363
#define HL_X_PRIORITY                   364
#define HL_PREV_RESENT_DATE             365
#define HL_PREV_RESENT_FROM             366
#define HL_X_FACE                       367
#define HL_COMPLETE_SUBJECT             368
#define HL_X_X_SENDER                   369
#define HL_PREV_RESENT_TO               370
#define HL_X_FAVORITE_DRINK             371
#define HL_X_FAVOURITE_DRINK            372
#define HL_MAILER                       373
#define HL_CONTENT_MODE                 374
#define HL_X_PHONE_NUMBER               375
#define HL_X_FAX_NUMBER                 376
#define HL_DISP_NOTIFICATION_OPTIONS    377
#define HL_ORIGINATOR_INFO              378
#define HL_LICENSED_TO                  379
#define HL_X_LICENSED_TO                380
#define HL_UIDL                         381
#define HL_X_UIDL                       382
#define HL_X_INFO                       383
#define HL_SOURCE_INFO                  384
#define HL_X_MSMAIL_PRIORITY            385
#define HL_MSG_CLASS                    386
#define HL_X_LOOP                       387
#define HL_POSTED                       388
#define HL_X_MAILING_LIST               389
#define HL_X_REPOSTING_POLICY           390
#define HL_X_KEYWORDS                   391
#define HL_X_MIMEOLE                    392
#define HL_LIST_SUBSCRIBE               393
#define HL_LIST_UNSUBSCRIBE             394
#define HL_LIST_HELP                    395
#define HL_LIST_INFO                    396
#define HL_X_LIST_SUBSCRIBE             397
#define HL_X_LIST_UNSUBSCRIBE           398
#define HL_X_LIST_HELP                  399
#define HL_X_LIST_INFO                  400
#define HL_AUTO_SUBMITTED               401
#define HL_X_1                          402
#define HL_X_2                          403
#define HL_X_3                          404
#define HL_X_4                          405
#define HL_X_5                          406
#define HL_X_6                          407
#define HL_X_7                          408
#define HL_X_8                          409
#define HL_X_9                          410
#define HL_X_10                         411
#define HL_X_11                         412
#define HL_X_12                         413
#define HL_X_ADVERTISEMENT              414
#define HL_LIST_OWNER                   415
#define HL_X_LIST_OWNER                 416
#define HL_LIST_DIGEST                  417
#define HL_X_LIST_DIGEST                418
#define HL_LIST_SOFTWARE                419
#define HL_X_LIST_SOFTWARE              420
#define HL_X_LOTUS_FROMDOMAIN           421
#define HL_X_MS_EMBEDDED_REPORT         422
#define HL_DEFRAGMENT_FAILED            423
#define HL_LIST_POST                    424
#define HL_X_LIST_POST                  425
#define HL_LIST_ARCHIVE                 426
#define HL_X_LIST_ARCHIVE               427
#define HL_LIST_HOST                    428
#define HL_X_LIST_HOST                  429
#define HL_X_LSV_LISTID                 430
#define HL_MAIL_FOLLOWUP_TO             431
#define HL_CHANGE_HISTORY               432
#define HL_CHANGE_ID                    433
#define HL_LIST_ID                      434
#define HL_X_LIST_ID                    435
#define HL_X_ORCL_CONTENT_TYPE          436
#define HL_X_NETMESSENGER_TYPE          437
#define HL_APPROVED_BY                  438
#define HL_X_EPUB_LISTID                439
#define HL_X_EPUB_SUBID                 440
#define HL_X_EPUB_MSGID                 441
#define HL_X_MIME_AUTOCONVERTED         442
#define HL_X400_CONTENT_RETURN          443
#define HL_AUTO_FORWARDED               444
#define HL_X_DMW_BODY_NAMES             445
#define HL_X_SMTP_CLIENT                446
#define HL_X_NOTES_FORM                 447
#define HL_X_ACCEPT_LANGUAGE            448
#define HL_X_SMAP_RECEIVED_FROM         449
#define HL_X_CORRUPT_CONTENT            450
#define HL_X_SPOOK                      451
#define HL_X_DIE_SPAMMERS               452
#define HL_X_TRACE                      453
#define HL_X_COMPLIANTS_TO              454
#define HL_NNTP_POSTING_DATE            455
#define HL_ADDRESS                      456
#define HL_TELEFAX                      457
#define HL_X400_CONTENT_IDENTIFIER      458
#define HL_X400_CONTENT_CORRELATOR      459
#define HL_X_AUTHOR_INFO                460
#define HL_X_SERVER_DATE                461
#define HL_X_YOW                        462
#define HL_X_DISPATCHER                 463
#define HL_X_BFT                        464
#define HL_APPROVED                     465
#define HL_X_NO_ARCHIVE                 466
#define HL_X_ORIGINATING_IP             467
#define HL_OFFICE                       468
#define HL_UID                          469
#define HL_X_UID                        470
#define HL_CONTENT_COMMENTS             471
#define HL_PREFERRED_LANGUAGE           472
#define HL_X_NOTES_ITEM                 473
#define HL_X_MIMETRACK                  474
#define HL_X_WEBMAIL_URGENT             475
#define HL_X_WM_POSTED_AT               476
#define HL_X_EXP32_SERIALNO             477
#define HL_X_SAVE_OUTGOING              478
#define HL_FORWARDED                    479
#define HL_X_AUTHENTICATION             480
#define HL_X_ADMIN                      481
#define HL_X_ORIGINALARRIVALTME         482
#define HL_X_SAVE_HEADERS               483
#define HL_PREFER_LANGUAGE              484
#define HL_X_SECURITY                   485
#define HL_MYDEJA_INFO                  486
#define HL_ARTICLE_CREATION_DATE        487
#define HL_HTTP_PROXY                   488
#define HL_HTTP_USER_AGENT              489
#define HL_X_MTS_PRIORITY               490
#define HL_CONTENT_FEATURES             491
#define HL_X_BEENTHERE                  492
#define HL_X_MAILMAN_VERSION            493
#define HL_X_JUNO_LINE_BREAKS           494
#define HL_YBARI_SPACE                  495
#define HL_X_MTS_LOOPDETECT             496
#define HL_X_ENVELOPE_FROM              497
#define HL_CONTENT_NOTIFICATION         498
#define HL_X_WEBMAIL_USERID             499
#define HL_X_SENDER_IP                  500
#define HL_ORIGINAL_CONTENT_TYPE        501
#define HL_ORIGINAL_CONTENT_DISPOSITION 502
#define HL_X_ERIC_CONSPIRACY            503
#define HL_X_SENT_MAIL                  504
#define HL_X_EXPIREDINMIDDLE            505
#define HL_CONTENT_CLASS                506
#define HL_THREAD_TOPIC                 507
#define HL_THREAD_INDEX                 508
#define HL_X_SCANNER                    509
#define HL_OLD_DATE                     510
#define HL_ACCEPT_LANGUAGE              511
#define HL_X_CLRENV_TO                  512
#define HL_CONTENT_ALTERNATIVE          513
#define HL_X_MESSAGE_FLAG               514
#define HL_X_SPAM_STATUS                515
#define HL_X_SPAM_LEVEL                 516
#define HL_MEDIA_ACCEPT_FEATURES        517
#define HL_PMDF_SMTP_WARNING            518
#define HL_IPLANET_SMTP_WARNING         519
#define HL_SUN_ONE_SMTP_WARNING         520
#define HL_USER_AGENT                   521
#define HL_X_URI                        522
#define HL_SPAM_TEST                    523
#define HL_MESSAGE_CONTEXT              524
#define HL_FAILURE                      525
#define HL_ERROR                        526
#define HL_WARNING                      527

#define HL_LAST_HEADER                  527

#ifdef __cplusplus
           }
#endif


#endif /* __IMTA_HEADER_H */

